
QGIS Application - Bug report #15138

WMS 1.1.1 doesn't work in master

2016-06-26 12:34 PM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23077

Description

Trying to add WMS layer from server http://bushman.nextgis.com/api/resource/22/wms?VERSION=1.1.1

In QGIS 2.14 it works fine, but doesn't work in master.

Layer properties (master):

Layer Extent (layer original source projection)

-0.0016169675114151,-0.0007640272910986 : 0.0016169675114151,0.0007640272910986

Layer properties (2.14):

Layer Extent (layer original source projection))

-20037508.3427892439067364,-20037508.6269291006028652 :

20037508.3427892439067364,20037508.6269291080534458

History

#1 - 2016-07-04 04:59 AM - Richard Duivenvoorde

- File wmsok.png added

It's working fine with me in current master, can you please retest and report back, or let us know a way to reproduce?

The legendimage is not ok due to 'bad gateway':

http://bushman.nextgis.com/api/resource/22/wms?SERVICE=WMS&#38;VERSION=1.1.1&#38;SLD_VERSION=1.1.0&#38;REQUEST=GetLegendGrap

ic&#38;FORMAT=image/png&#38;LAYER=sentinel2_42sug&#38;STYLE=&#38;TRANSPARENT=true

First GetMap request that is fired with me: 

http://bushman.nextgis.com/api/resource/22/wms?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-20037508.34278924

91,-20037508.6269291006,20037508.34278924391,20037508.62692910805&#38;SRS=EPSG:3857&#38;WIDTH=631&#38;HEIGHT=632&#38;LAYERS=sentinel2_42sug&#38;STYLES=&#38;FORMAT=image/png&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPAR

RS=sentinel2_42sug&#38;STYLES=&#38;FORMAT=image/png&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE

ANSPARENT=TRUE

So I have to zoom in a lot.

It looks like there is some latlong-swapping going on? Maybe related to commit:0409f5e
But as said, at least I get an image (and it is the full world that is advertised as the layer extent:

http://bushman.nextgis.com/api/resource/22/wms?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetCapabilities

#2 - 2016-07-04 04:59 AM - Richard Duivenvoorde

- Status changed from Open to Feedback

#3 - 2016-07-05 07:44 AM - dr -

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Thanks for help. It looks like issue was already fixed, now all works as expected.

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

wmsok.png 465 KB 2016-07-04 Richard Duivenvoorde

2025-04-27 2/2

http://bushman.nextgis.com/api/resource/22/wms?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetCapabilities

